label: Référencement
icon: search

columns:
  indexing:
    width: 1/2
    fields:
      indexing_headline:
        width: 1/1
        type: headline
        numbered: false
        label: Robots.txt
      seo_indexing:
        width: 1/1
        type: select
        required: false
        label: Surcharger les robots pour la page
        default: ""
        options:
          - noindex, nofollow
          - noindex, follow
          - index, nofollow
          - index, follow
  xml:
    width: 1/2
    fields:
      xml_headline:
        width: 1/1
        type: headline
        numbered: false
        label: Sitemap
      xmlsitemap_exclude:
        width: 1/1
        type: toggle
        required: false
        default: off
        label: Exclure du sitemap
        text:
          - Non
          - Oui
      xmlsitemap_priority:
        width: 1/2
        type: number
        required: false
        label: Priorité
        min: 0
        max: 1
        step: 0.1
  seo:
    width: 1/1
    fields:
      seo_headline:
        width: 1/1
        type: headline
        numbered: false
        label: Données SEO
      seo_title:
        width: 3/4
        type: text
        required: false
        maxlength: 100
        label: Titre
      seo_suffix:
        width: 1/4
        type: toggle
        required: false
        default: on
        label: "Suffixe "{{ site.seo_separator }} {{ site.getSeoSuffix() }}""
        text:
          - Non
          - Oui
      seo_description:
        width: 1/1
        type: textarea
        required: false
        maxlength: 300
        help: Il est recommendé de ne pas dépasser les 160 caractères pour les meta descriptions
        buttons: false
        size: small
        label: Description
      seo_og_headline:
        width: 1/1
        type: headline
        numbered: false
        label: Open Graph
      seo_og_title:
        width: 2/3
        type: text
        required: false
        maxlength: 100
        label: Titre
      seo_og_image:
        width: 1/3
        type: files
        required: false
        multiple: false
        search: true
        query: site.files.template('image')
        uploads:
          parent: site
          template: image
        layout: list
        link: true
        image: false
        label: Image
        empty: Pas d'image
      seo_og_description:
        width: 1/1
        type: textarea
        required: false
        maxlength: 300
        help: Il est recommendé de ne pas dépasser les 160 caractères pour les meta descriptions
        buttons: false
        size: small
        label: Description
      seo_mc_headline:
        width: 1/1
        type: headline
        numbered: false
        label: Microdonnées
      seo_mc_data:
        width: 1/1
        type: textarea
        required: false
        buttons: false
        size: medium
        label: Microdonnées (JSON)
